XnStringsSet Class Reference

`#include <XnStringsHashT.h>`

Inheritance diagram for XnStringsSet:
[legend]

## Public Member Functions

XnStatus | Set (const XnChar *key)
Public Member Functions inherited from XnStringsHashT< void * >
| XnStringsHashT ()
| XnStringsHashT (const XnStringsHashT &other)
XnStringsHashT & | operator= (const XnStringsHashT &other)
Public Member Functions inherited from XnHashT< TKey, TValue, TKeyManager, TAlloc >
| XnHashT ()
| XnHashT (const XnHashT &other)
XnHashT & | operator= (const XnHashT &other)
| ~XnHashT ()
Iterator | Begin ()
ConstIterator | Begin () const
Iterator | End ()
ConstIterator | End () const
XnStatus | Set (const TKey &key, const TValue &value)
ConstIterator | Find (TKey const &key) const
Iterator | Find (TKey const &key)
XnStatus | Find (TKey const &key, ConstIterator &it) const
XnStatus | Find (TKey const &key, Iterator &it)
XnStatus | Get (TKey const &key, TValue &value) const
XnStatus | Get (TKey const &key, TValue const *&pValue) const
XnStatus | Get (TKey const &key, TValue &value)
XnStatus | Get (TKey const &key, TValue *&pValue)
TValue & | operator[] (TKey const &key)
XnStatus | Remove (ConstIterator it)
XnStatus | Remove (TKey const &key)
XnStatus | Clear ()
XnBool | IsEmpty () const
XnUInt32 | Size () const

## Additional Inherited Members

Public Types inherited from XnHashT< TKey, TValue, TKeyManager, TAlloc >
enum | { LAST_BIN = (1 << (sizeof(XnHashCode)*8)) , NUM_BINS = LAST_BIN + 1 }
typedef XnKeyValuePair< TKey, TValue > | TPair
typedef XnListT< TPair, TAlloc > | TPairList

## Member Function Documentation

## Set()

XnStatus XnStringsSet::Set | ( | const XnChar * | key | ) |

inline

The documentation for this class was generated from the following file:

- XnStringsHashT.h